This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1313506 - Xiphos-gtk3 won't update - Requires: libsword-1.7.3.so
Xiphos-gtk3 won't update - Requires: libsword-1.7.3.so
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: xiphos (Show other bugs)
epel7
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: greg.hellings
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 12:38 EST by jjuradoaranda
Modified: 2016-03-17 14:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: xiphos-4.0.4-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 14:59:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jjuradoaranda 2016-03-01 12:38:48 EST
Description of problem:
Yum update suggested updates to three packages c.3 days ago: xiphos, enca and sword. When accepting update, a dependency problem was immediately reported.


How reproducible:
On my Centos 7 system with epel 7 enabled by default.
Epel-testing not enabled by default or otherwise.
Priorities and protectbase plugins enabled by default; Cent base and updates priority=1;  epel priority=5.
sudo yum update
Accepting proposed updates;  xiphos-gtk3, enca (used by smplayer) and sword (installed by xiphos-gtk3) were previously installed.


Version-Release number of selected component (if applicable):
4.0.4-3


Steps to Reproduce:
1.  sudo yum update
2.  Accepting updates for all packages:  xiphos-gtk3, enca and sword.


Actual results:
The dependency problem report then was similar to the one I obtained yesterday:

Resolving Dependencies
--> Running transaction check
---> Package enca.x86_64 0:1.16-1.el7 will be updated
---> Package enca.x86_64 0:1.18-1.el7 will be an update
---> Package sword.x86_64 0:1.7.3-9.el7 will be updated
--> Processing Dependency: libsword-1.7.3.so()(64bit) for package: xiphos-gtk3-4.0.4-3.el7.x86_64
---> Package sword.x86_64 0:1.7.4-6.el7 will be an update
---> Package xiphos-common.x86_64 0:4.0.3-1.el7 will be updated
---> Package xiphos-common.x86_64 0:4.0.4-3.el7 will be an update
---> Package xiphos-gtk3.x86_64 0:4.0.3-1.el7 will be updated
---> Package xiphos-gtk3.x86_64 0:4.0.4-3.el7 will be an update
--> Processing Dependency: libsword-1.7.3.so()(64bit) for package: xiphos-gtk3-4.0.4-3.el7.x86_64
--> Finished Dependency Resolution
Error: Package: xiphos-gtk3-4.0.4-3.el7.x86_64 (epel)
Requires: libsword-1.7.3.so()(64bit)
Removing: sword-1.7.3-9.el7.x86_64 (@epel)
libsword-1.7.3.so()(64bit)
Updated By: sword-1.7.4-6.el7.x86_64 (epel)
Not found
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest


Expected results:
System fully updated.


Additional info:
Having uninstalled xiphos-gtk3 as a first step to attempt to fully update the system yesterday, I was then able to only update enca. 

When attempting to reinstall xiphos:

Resolving Dependencies
--> Running transaction check
---> Package xiphos-gtk3.x86_64 0:4.0.4-3.el7 will be installed
--> Processing Dependency: libsword-1.7.3.so()(64bit) for package: xiphos-gtk3-4.0.4-3.el7.x86_64
--> Finished Dependency Resolution
Error: Package: xiphos-gtk3-4.0.4-3.el7.x86_64 (epel)
Requires: libsword-1.7.3.so()(64bit)

The following was to no avail:
yum clean all
yum check
yum erase apf #but found that no apf installed
yum upgrade

If my observation is correct, I believe I noticed that either enca or sword installed a different version of libsword with the update: libsword-1.7.4.so.
Comment 1 Fedora Update System 2016-03-01 15:08:59 EST
xiphos-4.0.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0820ef56b8
Comment 2 greg.hellings 2016-03-01 15:10:29 EST
Ah, I just pushed a libsword the other day that restricts the soname down to only being version 1.7 instead of the full 1.7.3. This update should fix that.
Comment 3 Fedora Update System 2016-03-01 21:23:06 EST
xiphos-4.0.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0820ef56b8
Comment 4 Fedora Update System 2016-03-17 14:59:33 EDT
xiphos-4.0.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.